﻿import QtQuick 2.12
import QtQuick.Window 2.12
import QtQuick.Templates 2.12

Window {
    width: 640
    height: 480
    visible: true
    title: qsTr("Hello World")
    Component.onCompleted: edit.forceActiveFocus()

    FocusScope {
        anchors.fill: parent

        Keys.onPressed: console.log("external key pressed", event.key)
        Keys.onReleased: console.log("external key released", event.key)

        TextEdit {
            id: edit
            anchors.centerIn: parent
            width: 50
            height: 50
            Keys.onPressed:  console.log("internal key pressed", event.key)
            Keys.onReleased: console.log("internal key released", event.key)

            Rectangle {
                anchors.fill: parent
                anchors.margins: -5
                color: "transparent"
                border.width: 1
            }
        }
    }
}
